---
kind: Namespace
apiVersion: v1
metadata:
  name: common
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: common-data
  labels:
    type: local
spec:
  storageClassName: manual
  capacity:
    storage: 10Gi
  accessModes:
    - ReadWriteMany
  hostPath:
    path: "/repo"
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: common-data-claim
spec:
  storageClassName: manual
  volumeName: common-data
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 10Gi
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: common
  labels:
    app.kubernetes.io/name: common
    app.kubernetes.io/part-of: kanod-services
spec:
  selector:
    matchLabels:
      app.kubernetes.io/name: common
      app.kubernetes.io/part-of: kanod-services
  template:
    metadata:
      labels:
        app.kubernetes.io/name: common
        app.kubernetes.io/part-of: kanod-services
    spec:
      containers:
      - image: sonatype/nexus3
        name: nexus3
        env:
        - name: INSTALL4J_ADD_VM_PARAMS
          value: '-Xms4G -Xmx4G -XX:MaxDirectMemorySize=4014M -XX:ActiveProcessorCount=4 -Djava.util.prefs.userRoot=/nexus-data/javaprefs'
        ports:
        - containerPort: 8081
        - containerPort: 8082
        volumeMounts:
        - mountPath: /nexus-data
          name: data
      securityContext:
        fsGroup: 200
        fsGroupChangePolicy: Always
      volumes:
      - name: data
        persistentVolumeClaim:
          claimName: common-data-claim
---
apiVersion: v1
kind: Service
metadata:
  name: nexus3
spec:
  selector:
    app.kubernetes.io/name: common
    app.kubernetes.io/part-of: kanod-services
  type: NodePort
  ports:
    - name: maven
      port: 8081
      targetPort: 8081
    - name: docker
      port: 8082
      targetPort: 8082
